This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859392 - Native USB requires root password to work from RHEL client.
Native USB requires root password to work from RHEL client.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-gtk (Show other bugs)
6.4
Unspecified Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Christophe Fergeau
Desktop QE
: Regression, ReleaseNotes, Reopened
Depends On:
Blocks: 895654
  Show dependency treegraph
 
Reported: 2012-09-21 08:33 EDT by Paul Vine
Modified: 2013-07-03 08:05 EDT (History)
8 users (show)

See Also:
Fixed In Version: spice-gtk-0.14-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:49:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Vine 2012-09-21 08:33:45 EDT
Description of problem:
When trying to share a USB device from a RHEL 6.4 client to a W7 guest you will be promted to enter the root password which most users will not have.

Version-Release number of selected component (if applicable):
usbredir.x86_64                  0.4.3-1.el6
spice-usb-share.x86_64           4.9-9.el6 
usbutils.x86_64                  003-4.el6
virt-viewer.x86_64     0.5.2-9.el6

How reproducible:


Steps to Reproduce:
1.Select native USB for your VM
2. Restart VM
3.Connect to VM
4. Insert USB device in client
5. Select device to share it
  
Actual results:
You are promted to enter the root password on the client. Most normal users of RHEL as a desktop will not have the root password. Not they do not need the password to use the USB device on their client, only when they try to share it to their VM.

Expected results:
The device should be shared without a prompt for the root password just as it was with the previous USB sharing implementation.

Additional info:
Comment 1 Hans de Goede 2012-09-21 08:47:44 EDT
This behavior is controlled by PolicyKit.

The problem is that USB redirection requires raw USB-device access, which can be used to for example circumvent filesystem permissions on a USB attached mass-storage device, something which the user normally cannot do (try attaching an ext2/3/4 formatted usb device and then writing to it as a regular user, or reading a file without read permissions).

To avoid causing security issues the default PolicyKit policy for this requires root rights, note that if a user
is member of the wheel group he only needs to type his own password.

The best we can do is to document how to edit the Policy so that PolicyKit will allow the raw USB device access without prompting including a warning in the documentation about the security implications of this.

I've a few short instructions on editing the policy for this here:
http://hansdegoede.livejournal.com/11936.html
Comment 2 Andrew Cathrow 2012-09-21 10:02:46 EDT
Can we set this setting as yes by default and document how a user can lock it down.
The purpose of the package is to provide USB remoting so I don't think anyone would be surprised by the fact that the package allows raw access to the device.

So two actions from my point of view

1. Change default to yes
2. Provide manpage/documentation explaining how to change it
Comment 3 Hans de Goede 2012-09-21 10:27:04 EDT
(In reply to comment #2)
> Can we set this setting as yes by default and document how a user can lock
> it down.
> The purpose of the package is to provide USB remoting so I don't think
> anyone would be surprised by the fact that the package allows raw access to
> the device.
> 
> So two actions from my point of view
> 
> 1. Change default to yes

As said before this has security implications. If you can get permission for this from the security team I will happily change this, but until then it stays as it is.
Comment 4 Hans de Goede 2012-12-03 09:35:32 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Can we set this setting as yes by default and document how a user can lock
> > it down.
> > The purpose of the package is to provide USB remoting so I don't think
> > anyone would be surprised by the fact that the package allows raw access to
> > the device.
> > 
> > So two actions from my point of view
> > 
> > 1. Change default to yes
> 
> As said before this has security implications. If you can get permission for
> this from the security team I will happily change this, but until then it
> stays as it is.

This has been in needinfo for 2 months without any response -> closing.
Comment 5 Hans de Goede 2012-12-20 15:37:29 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Can we set this setting as yes by default and document how a user can lock
> > it down.
> > The purpose of the package is to provide USB remoting so I don't think
> > anyone would be surprised by the fact that the package allows raw access to
> > the device.
> > 
> > So two actions from my point of view
> > 
> > 1. Change default to yes
> 
> As said before this has security implications. If you can get permission for
> this from the security team I will happily change this, but until then it
> stays as it is.

Update: we've just gotten permission from the security team (Josh Bressers) to flip the default to yes, so we can go ahead with this.

Given that this is just a configuration change, it has a very low chance of causing regressions, so I think we should do this for 6.4, adding devel-ack and proposing as blocker.
Comment 7 Hans de Goede 2012-12-20 16:03:45 EST
Patch send to the list -> POST
Comment 12 errata-xmlrpc 2013-02-21 03:49:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0343.html

Note You need to log in before you can comment on or make changes to this bug.